import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ValueOverlayDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private er;
    get axisRef(): string;
    set axisRef(a: string);
    private ed;
    get value(): number;
    set value(a: number);
    private d5;
    get isAxisAnnotationEnabled(): boolean;
    set isAxisAnnotationEnabled(a: boolean);
    private eo;
    get axisAnnotationFormatLabelRef(): string;
    set axisAnnotationFormatLabelRef(a: string);
    private eq;
    get axisAnnotationTextColor(): string;
    set axisAnnotationTextColor(a: string);
    private en;
    get axisAnnotationBackground(): string;
    set axisAnnotationBackground(a: string);
    private d7;
    get axisAnnotationBackgroundCornerRadius(): number;
    set axisAnnotationBackgroundCornerRadius(a: number);
    private el;
    get axisAnnotationInterpolatedValuePrecision(): number;
    set axisAnnotationInterpolatedValuePrecision(a: number);
    private ep;
    get axisAnnotationOutline(): string;
    set axisAnnotationOutline(a: string);
    private d9;
    get axisAnnotationPaddingLeft(): number;
    set axisAnnotationPaddingLeft(a: number);
    private eb;
    get axisAnnotationPaddingTop(): number;
    set axisAnnotationPaddingTop(a: number);
    private ea;
    get axisAnnotationPaddingRight(): number;
    set axisAnnotationPaddingRight(a: number);
    private d8;
    get axisAnnotationPaddingBottom(): number;
    set axisAnnotationPaddingBottom(a: number);
    private ec;
    get axisAnnotationStrokeThickness(): number;
    set axisAnnotationStrokeThickness(a: number);
}
